# A

## 打包
```shell
mvn clean compile package
```

## 使用
```shell
java -jar db-data-to-csv-1.0.0.jar -t=TABLE_NAME
```
参数说明:
1. `-t=` / `--table=` 这两个指定导出的表名.
2. `--size`: 指定分页大小
3. `--truncate=true`: 插入数据前清空表
4. `--type=mysql` 类型
    - mysql: 拼语句
    - mysqlps: 不拼语句
    - csv: 导出到csv文件





---


```
LOAD DATA INFILE '/var/lib/mysql-files/check_record_0006'
INTO TABLE T_CHECK_RECORD_1
FIELDS 
    TERMINATED BY '\t'
    ENCLOSED BY '\"'
    ESCAPED BY '\\'
LINES TERMINATED BY '\n'
(CHECK_RECORD_ID,STAMP,USER_ID,CHECK_POINTS_ID,IS_NORMAL,IS_LATENT_DANGER,LATENT_DANGER_TYPE,LATENT_DANGER_DESC,UNDETECTED_NUM,LON,LAT,RULE_ID,IS_DEAL,STARTDATE,ENDDATE,VALID_CHECK,UPDATESTAMP);
```